// SPDX-FileCopyrightText: Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: EUPL-1.2

use std::path::PathBuf;

#[derive(PartialEq, Eq, Clone, Copy, Debug)]
pub enum Action {
    Undecided,
    Keep,
    Remove,
}

#[derive(Debug, PartialEq, Eq)]
pub struct Decision {
    pub path: PathBuf,
    pub action: Action,
    //pub reason: Option<String>,
}
